import type { _NSAsynchronousFetchRequest } from "./NSAsynchronousFetchRequest.js";
import type { _NSPersistentStoreAsynchronousResult } from "./NSPersistentStoreAsynchronousResult.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _NSAsynchronousFetchResult extends _NSPersistentStoreAsynchronousResult {
    static alloc(): _NSAsynchronousFetchResult;
    static new(): _NSAsynchronousFetchResult;
    init(): _NSAsynchronousFetchResult;
    fetchRequest(): _NSAsynchronousFetchRequest;
    finalResult(): _NSArray | null;
}
